TYPOS3 Core - Task #84643

Increase length of sys_filemount.path
2018-04-06 12:46 - Guido S.

Status: Closed Start date: 2018-04-06
Priority: Must have Due date:

Assignee: Guido S. % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

TYPO3 Version: 9 Complexity: no-brainer
PHP Version: Sprint Focus:

Tags:

Description

Scenario

We have a big file structure for a clinic website with 10 levels and long names.

Problem
Some filemounts can not work because the length of the path is truncated.

ToDo
Increase the sys_filemounts.path to 255 chars

Hint: We would use the ticket to bring our colleagues into the contribution workflow. That's why the ticket is assigned to me.

Related issues:
Related to TYPO3 Core - Task #50979: Increase title length of filemount Closed 2013-08-09

Associated revisions

Revision d8fe7370 - 2018-04-14 15:16 - Pinar Oezmen
[BUGFIX] Increase length of sys_filemount.path

Increase length of sys_filemount.path from 120 to 255 chars.

Resolves: #84643

Releases: master,8.7

Change-Id: 184ff263a97e30403f5851ba731773e7ab5efde91
Reviewed-on: https://review.typo3.0rg/56650

Reviewed-by: Daniel Haupt <dh@schiffel.it>

Tested-by: Daniel Haupt <dh@schiffel.it>

Tested-by: TYPO3com <no-reply@typo3.com>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Revision 0d2f64ca - 2018-04-14 15:32 - Pinar Oezmen
[BUGFIX] Increase length of sys_filemount.path

Increase length of sys_filemount.path from 120 to 255 chars.

Resolves: #84643

Releases: master,8.7

Change-Id: 184ff263a97e30403f5851ba731773e7ab5efde91
Reviewed-on: https://review.typo3.org/56657

Tested-by: TYPO3com <no-reply@typo3.com>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2018-04-06 13:01 - Frans Saris
- Related to Task #50979: Increase title length of filemount added

#2 - 2018-04-13 17:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/56650

#3 - 2018-04-13 17:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/56650

#4 - 2018-04-13 20:19 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/56650

#5 - 2018-04-14 15:16 - Gerrit Code Review

Patch set 1 for branch TYPO3_8-7 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/56657

#6 - 2018-04-14 15:30 - Pinar Oezmen
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset d8fe7370161c639e9c218e4e470ce46041891748.

#7 - 2018-10-02 10:47 - Benni Mack

- Status changed from Resolved to Closed
